Lingxing
切换旧版

Temu全托 - EPR费用

POST/basicOpen/multiplatformFinance/temuFull/epr/list

查询Temu全托EPR费用列表,对应系统【财务】>【Temu全托管-账单明细-EPR费用】数据

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/multiplatformFinance/temuFull/epr/listHTTPSPOST1

请求参数

sidsarray<any>
店铺 ID
currencyCodestring
目标展示币种。留空时按原始币种返回;传入后金额和币种按目标币种换算/展示
dateTypestring
时间类型,可选值:0(账务/扣费时间)、1(费用周期)。不传时不会追加时间字段条件
startDatestring
筛选开始时间,格式 yyyy-MM-dd HH:mm:ss
endDatestring
筛选结束时间,格式 yyyy-MM-dd HH:mm:ss;服务端按当天结束时间处理
reportTypesarray<any>
页面编码数组。可选值:1=商品环保费-已扣费,2=商品环保费-已退费,3=物流包装环保费-已扣费,4=物流包装环保费-已退费,5=代付服务费-已扣费;不传时查询全部
searchField1string
商品搜索字段,可选值:productName(商品名称)、mskuId(MSKU ID)
searchExactly1boolean
商品搜索是否精确匹配,可选值:true(精确匹配)、false(模糊匹配,默认)。传入对应的搜索数组时服务端会自动设为 true
productSearchValuestring
商品搜索值;多个值以英文逗号分隔
productSearchArrarray<any>
商品精确搜索值数组;传入后服务端自动按精确匹配处理
productNameListarray<any>
商品名称列表
mskuIdListarray<any>
MSKU ID 列表
searchField2string
单号搜索字段,可选值:batchNo(批次编号)
searchExactly2boolean
单号搜索是否精确匹配,可选值:true(精确匹配)、false(模糊匹配,默认)。传入对应的搜索数组时服务端会自动设为 true
orderSearchValuestring
单号搜索值;多个值以英文逗号分隔
orderSearchArrarray<any>
单号精确搜索值数组;传入后服务端自动按精确匹配处理
batchNoListarray<any>
批次编号列表
sortFieldstring
排序字段,可选值:paymentDate(账务/扣费时间)、amount(已扣/退费金额)。不传时使用默认排序
sortTypestring
排序顺序,可选值:asc(升序)、desc(降序)
offsetinteger
分页起始位置,从 0 开始
lengthinteger
分页每页记录数

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/multiplatformFinance/temuFull/epr/list?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "sids": [1, 2],
    "currencyCode": "USD",
    "startDate": "2026-01-01",
    "endDate": "2026-01-31",
    "offset": 0,
    "length": 20
}'

返回结果

Json Object

codeinteger必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路id
示例 a0d54debf93140f3b58d1ed81e8e3583
response_timestring必填
响应时间
示例 2026-06-01 12:00:00
dataobject必填
响应数据
隐藏子属性
totalCountinteger必填
符合筛选条件的总记录数
示例 100
listarray<object>必填
当前页明细记录列表
隐藏子属性
storeNamestring必填
店铺
示例 MyStore
reportTypestring必填
报表类型
示例 epr
batchNostring必填
批次编号
示例 BATCH001
paymentDatestring必填
账务时间/扣费时间
示例 2026-01-15
feeTypestring必填
计费类型
示例 epr_fee
feeCyclestring必填
计费周期/扣费费用周期/退费费用周期
示例 2026-01
mskuIdstring必填
SKU ID
示例 10001
countrystring必填
销售国家/销售站点
示例 DE
pkgTypestring必填
环保品类/物流包装类型
示例 box
unitPricestring必填
计费单价(EUR)
示例 0.50
quantitystring必填
计费数量(件数) / 计费重量(kg)
示例 100
deductTypestring必填
代扣类型
示例 deduct
eprFeeAmountstring必填
EPR环保费金额
示例 50.00
feeRatestring必填
费率
示例 0.05
amountnumber必填
已扣费金额/已退费金额/已扣代付服务费金额
示例 50
currencystring必填
币种
示例 EUR
currencyIconstring必填
币种图案
示例 €
refundReasonstring必填
退费原因
suiteCountstring必填
套装件数
示例 1
productNamestring必填
商品名称
示例 商品A
hasBatterystring必填
是否包含电池
示例 否
mskuWeightstring必填
SKU重量
示例 0.5
mskuTotalWeightstring必填
SKU总重量
示例 50.0
lengthstring必填
产品长度
示例 10
widthstring必填
产品宽度
示例 5
heightstring必填
产品高度
示例 3
paperWeightstring必填
纸张重量
示例 0.1
glassWeightstring必填
玻璃重量
示例 0
aluminumWeightstring必填
铝重量
示例 0
steelWeightstring必填
钢材重量
示例 0
plasticWeightstring必填
塑料重量
示例 0.2
woodWeightstring必填
木材重量
示例 0
otherMaterialWeightstring必填
其他材料重量
示例 0.1
totalSumobject必填
符合筛选条件的汇总数据
隐藏子属性
amountnumber必填
已扣费金额/已退费金额/已扣代付服务费金额
示例 5000
totalCountinteger必填
总记录数
示例 100
currencystring必填
币种
示例 EUR
currencyIconstring必填
币种图案
示例 €
totalinteger必填
总数
示例 100

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "a0d54debf93140f3b58d1ed81e8e3583",
    "response_time": "2026-06-01 12:00:00",
    "data": {
        "totalCount": 1,
        "list": [
            {
                "storeName": "MyStore",
                "reportType": "epr",
                "batchNo": "BATCH001",
                "paymentDate": "2026-01-15",
                "feeType": "epr_fee",
                "feeCycle": "2026-01",
                "mskuId": "10001",
                "country": "DE",
                "pkgType": "box",
                "unitPrice": "0.50",
                "quantity": "100",
                "deductType": "deduct",
                "eprFeeAmount": "50.00",
                "feeRate": "0.05",
                "amount": 50.00,
                "currency": "EUR",
                "currencyIcon": "€",
                "refundReason": "",
                "suiteCount": "1",
                "productName": "商品A",
                "hasBattery": "否",
                "mskuWeight": "0.5",
                "mskuTotalWeight": "50.0",
                "length": "10",
                "width": "5",
                "height": "3",
                "paperWeight": "0.1",
                "glassWeight": "0",
                "aluminumWeight": "0",
                "steelWeight": "0",
                "plasticWeight": "0.2",
                "woodWeight": "0",
                "otherMaterialWeight": "0.1"
            }
        ],
        "totalSum": {
            "amount": 50.00,
            "totalCount": 1,
            "currency": "EUR",
            "currencyIcon": "€"
        }
    },
    "total": 1
}